pcl::device::NonCachedLoad< T > Struct Template Reference

`#include </build/pcl-rK6aXX/pcl-1.12.1+dfsg/gpu/utils/include/pcl/gpu/utils/device/cache.hpp>`

## Static Public Member Functions

static __device__ T | Invoke (const T *ptr)

## Detailed Description

### template<class T>
struct pcl::device::NonCachedLoad< T >

Definition at line 11 of file cache.hpp.

## Member Function Documentation

## Invoke()

template<class T >

static __device__ T pcl::device::NonCachedLoad< T >::Invoke | ( | const T * | ptr | ) |

inline static

Definition at line 13 of file cache.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-rK6aXX/pcl-1.12.1+dfsg/gpu/utils/include/pcl/gpu/utils/device/cache.hpp